// 选择框架和语言
const frame = [
	{
		type: 'list',
		message: '选择什么框架去新建项目❓',
		name: 'type',
		choices: [
			{ name: '创建react项目', value: 'react' },
			{ name: '创建vue项目', value: 'vue' },
			{ name: '创建大屏项目', value: 'large' },
		],
	},
];

// react框架
const react = [
	{
		type: 'list',
		message: '📢react部分默认包含redux/toolkit;🚶选择路由创建位置',
		name: 'router',
		choices: [
			{ name: '使用RouterProvider', value: 'RouterProvider' },
			{ name: '使用userouter', value: 'userouter' },
			{ name: '使用userouter和zustand', value: 'zustand' },
		],
	},
];

// vue
const vue = [
	{
		type: 'list',
		message: '🚶选择vue仓库',
		name: 'router',
		choices: [
			{ name: 'pina', value: 'pina' },
			{ name: 'vuex', value: 'vuex' },
		],
	},
];

// large
const large = [
	{
		type: 'list',
		message: '📺选择大屏模板',
		name: 'large',
		choices: [
			{ name: '大屏vue+pina仓库rem', value: 'vue_large_rem' },
			{ name: '大屏vue+pina仓库scale', value: 'vue_large_scale' },
			{ name: '大屏vue+pina仓库vwvh', value: 'vue_ts_large_vmvh' },
			{ name: '大屏vue+pina仓库rem+vwvh', value: 'vue_ts_large_remvmvh' },
		],
	},
];

// 项目地址链接
module.exports = {
	// 项目列表
	projectList: {
		'vue&vuex': 'https://gitee.com/BunnyBoss/vue_ts_vuex.git',
		'vue&pina': 'https://gitee.com/BunnyBoss/vue_ts_pina.git',
		'large&vue_large_rem': 'https://gitee.com/BunnyBoss/vue_ts_large_rem.git',
		'large&vue_large_scale': 'https://gitee.com/BunnyBoss/vue_ts_large_scale.git',
		'large&vue_ts_large_vmvh': 'https://gitee.com/BunnyBoss/vue_ts_large_vmvh.git',
		'large&vue_ts_large_remvmvh': 'https://gitee.com/BunnyBoss/vue_ts_large_remvmvh.git',
		'react&userouter': 'https://gitee.com/BunnyBoss/Bunny-Cli/react_ts_userouter.git',
		'react&RouterProvider': 'https://gitee.com/BunnyBoss/Bunny-Cli/react_ts_routerprovider.git',
		'react&zustand': 'https://gitee.com/BunnyBoss/Bunny-Cli/react_ts_zustand.git',
	},
	// 问题
	question: { frame, react, vue, large },
};
